Index: /trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM_mod.F90	(revision 3076)
+++ /trunk/LMDZ.COMMON/libf/evolution/soil_settings_PEM_mod.F90	(revision 3076)
@@ -0,0 +1,109 @@
+MODULE soil_settings_PEM_mod
+
+implicit none
+
+!=======================================================================
+contains
+!=======================================================================
+
+SUBROUTINE soil_settings_PEM(ngrid,nslope,nsoil_PEM,nsoil_GCM,TI_GCM,TI_PEM)
+
+!      use netcdf
+use comsoil_h_PEM, only: layer_PEM, mlayer_PEM, depth_breccia, depth_bedrock, index_breccia, index_bedrock
+use comsoil_h,     only: inertiedat, layer, mlayer, volcapa
+
+use iostart, only: inquire_field_ndims, get_var, get_field, inquire_field, inquire_dimension_length
+
+implicit none
+
+!=======================================================================
+!  Author: LL, based on work by  Ehouarn Millour (07/2006)
+!
+!  Purpose: Read and/or initialise soil depths and properties
+!
+! Modifications: Aug.2010 EM: use NetCDF90 to load variables (enables using
+!                              r4 or r8 restarts independently of having compiled
+!                              the GCM in r4 or r8)
+!                June 2013 TN: Possibility to read files with a time axis
+!
+!  The various actions and variable read/initialized are:
+!  1. Read/build layer (and midlayer) depth
+!  2. Interpolate thermal inertia and temperature on the new grid, if necessary
+!=======================================================================
+
+!=======================================================================
+!  arguments
+!  ---------
+!  inputs:
+integer,                                 intent(in) :: ngrid     ! # of horizontal grid points
+integer,                                 intent(in) :: nslope    ! # of subslope wihtin the mesh
+integer,                                 intent(in) :: nsoil_PEM ! # of soil layers in the PEM
+integer,                                 intent(in) :: nsoil_GCM ! # of soil layers in the GCM
+real, dimension(ngrid,nsoil_GCM,nslope), intent(in) :: TI_GCM    ! Thermal inertia  in the GCM [SI]
+
+real, dimension(ngrid,nsoil_PEM,nslope), intent(inout) :: TI_PEM ! Thermal inertia   in the PEM [SI]
+!=======================================================================
+! local variables:
+integer :: ig, iloop, islope ! loop counters
+logical :: found
+real    :: alpha,lay1 ! coefficients for building layers
+real    :: xmin, xmax ! to display min and max of a field
+!=======================================================================
+! 1. Depth coordinate
+! -------------------
+! 1.4 Build mlayer(), if necessary
+! default mlayer distribution, following a power law:
+!  mlayer(k)=lay1*alpha**(k-1/2)
+lay1 = 2.e-4
+alpha = 2
+do iloop = 0,nsoil_PEM - 1
+    mlayer_PEM(iloop) = lay1*(alpha**(iloop - 0.5))
+enddo
+
+! 1.5 Build layer(); following the same law as mlayer()
+! Assuming layer distribution follows mid-layer law:
+! layer(k)=lay1*alpha**(k-1)
+lay1 = sqrt(mlayer_PEM(0)*mlayer_PEM(1))
+alpha = mlayer_PEM(1)/mlayer_PEM(0)
+do iloop = 1,nsoil_PEM
+    layer_PEM(iloop) = lay1*(alpha**(iloop - 1))
+enddo
+
+! 2. Thermal inertia (note: it is declared in comsoil_h)
+! ------------------
+do ig = 1,ngrid
+    do islope = 1,nslope
+        do iloop = 1,nsoil_GCM
+            TI_PEM(ig,iloop,islope) = TI_GCM(ig,iloop,islope)
+        enddo
+        if (nsoil_PEM > nsoil_GCM) then
+            do iloop = nsoil_GCM + 1,nsoil_PEM
+                TI_PEM(ig,iloop,islope) = TI_GCM(ig,nsoil_GCM,islope)
+            enddo
+        endif
+    enddo
+enddo
+
+! 3. Index for subsurface layering
+! ------------------
+index_breccia = 1
+do iloop = 1,nsoil_PEM - 1
+    if (depth_breccia >= layer_PEM(iloop)) then
+        index_breccia = iloop
+    else
+        exit
+    endif
+enddo
+
+index_bedrock = 1
+do iloop = 1,nsoil_PEM - 1
+    if (depth_bedrock >= layer_PEM(iloop)) then
+        index_bedrock = iloop
+    else
+        exit
+    endif
+enddo
+
+END SUBROUTINE soil_settings_PEM
+
+END MODULE soil_settings_PEM_mod
Index: /trunk/LMDZ.COMMON/libf/evolution/time_evol_mod.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/evolution/time_evol_mod.F90	(revision 3075)
+++ /trunk/LMDZ.COMMON/libf/evolution/time_evol_mod.F90	(revision 3076)
@@ -1,17 +1,17 @@
 MODULE time_evol_mod
 
-IMPLICIT NONE  
+implicit none
 
-  integer :: year_bp_ini         !     Initial year (in Planetary years) of the simulation of the PEM defined in run.def (in Earth years)
-  integer :: dt_pem              !     Time step used by the PEM in Planetary years
-  real    :: convert_years       !     Conversion ratio from Planetary years to Earth years
-  real    :: water_ice_criterion !     Percentage of change of the surface of water ice sublimating before stopping the PEM 
-  real    :: co2_ice_criterion   !     Percentage of change of the surface of co2 ice sublimating before stopping the PEM 
-  real    :: ps_criterion        !     Percentage of change of averaged surface pressure before stopping the PEM
-  integer :: Max_iter_pem        !     Maximal number of iteration when converging to a steady state, read in evol.def
-  logical :: evol_orbit_pem      !     True if we want to follow the orbital parameters of obl_ecc_lsp.asc, read in evol.def
-  logical :: var_obl             !     True if we want the PEM to follow obl_ecc_lsp.asc parameters for obliquity 
-  logical :: var_ecc             !     True if we want the PEM to follow obl_ecc_lsp.asc parameters for excenticity
-  logical :: var_lsp             !     True if we want the PEM to follow obl_ecc_lsp.asc parameters for ls perihelie
+integer :: year_bp_ini         ! Initial year (in Planetary years) of the simulation of the PEM defined in run.def (in Earth years)
+integer :: dt_pem              ! Time step used by the PEM in Planetary years
+real    :: convert_years       ! Conversion ratio from Planetary years to Earth years
+real    :: water_ice_criterion ! Percentage of change of the surface of water ice sublimating before stopping the PEM
+real    :: co2_ice_criterion   ! Percentage of change of the surface of co2 ice sublimating before stopping the PEM
+real    :: ps_criterion        ! Percentage of change of averaged surface pressure before stopping the PEM
+integer :: Max_iter_pem        ! Maximal number of iteration when converging to a steady state, read in evol.def
+logical :: evol_orbit_pem      ! True if we want to follow the orbital parameters of obl_ecc_lsp.asc, read in evol.def
+logical :: var_obl             ! True if we want the PEM to follow obl_ecc_lsp.asc parameters for obliquity
+logical :: var_ecc             ! True if we want the PEM to follow obl_ecc_lsp.asc parameters for excenticity
+logical :: var_lsp             ! True if we want the PEM to follow obl_ecc_lsp.asc parameters for ls perihelie
 
 END MODULE time_evol_mod
Index: /trunk/LMDZ.MARS/deftank/pem/launch_pem.sh
===================================================================
--- /trunk/LMDZ.MARS/deftank/pem/launch_pem.sh	(revision 3075)
+++ /trunk/LMDZ.MARS/deftank/pem/launch_pem.sh	(revision 3076)
@@ -168,7 +168,7 @@
     mv startfi.nc startfi_evol.nc
     if [ -f "start.nc" ]; then
-        cp start.nc start_evol.nc
+        mv start.nc start_evol.nc
     elif [ -f "start1D.txt" ]; then
-        cp start1D.txt start1D_evol.txt
+        mv start1D.txt start1D_evol.txt
     fi
     ./$exePEM > out_runPEM${iPEM} 2>&1
